PHP K�sikirja
Edellinen |  | Seuraava

# key

(PHP 3, PHP 4 , PHP 5)

key -- Fetch a key from an associative array

## Description

mixed key ( array &array )

key() returns the index element of the current array position.

Esimerkki 1. key() example

`<?php $array = array( 'fruit1' => 'apple', 'fruit2' => 'orange', 'fruit3' => 'grape', 'fruit4' => 'apple', 'fruit5' => 'apple'); // this cycle echoes all associative array // key where value equals "apple" while ($fruit_name = current($array)) { if ($fruit_name == 'apple') { echo key($array).'<br />'; } next($array); } ?>`

See also current() and next().

Edellinen | Alkuun | Seuraava
in_array | Ylös | krsort